package sfs.cluster.lobby.data;

import java.util.Map;

/**
 * Holds the informations related to a user connected in the distributed lobby
 */
public class ClusterUser
{
	private String name;								// name of the user
	private String nodeId;								// id of the node where the user is connected
	private int localUID;								// local user id, relative to its server instance
	public Map<String, Object> properties;				// a map of optional parameters
	
	public ClusterUser(String name)
    {
		this.name = name;
	}
	
	public String getName()
    {
    	return name;
    }
	
	public void setName(String name)
    {
    	this.name = name;
    }
	
	public String getNodeId()
    {
    	return nodeId;
    }
	
	public void setNodeId(String nodeId)
    {
    	this.nodeId = nodeId;
    }
	
	public int getLocalUID()
    {
    	return localUID;
    }
	
	public void setLocalUID(int localUID)
    {
    	this.localUID = localUID;
    }
	
	
	
	
}
